top / index / prev / next / target / source

2016-12-25 diary: [maven] Java アプリのコンパイルバージョンを指定する

いがぴょん画像(小) 日記形式でつづる いがぴょんコラム ウェブページです。

[maven] Java アプリのコンパイルバージョンを指定する

コンパイル時のコンパイラバージョン指定方法をメモします。現時点では Java のバイナリレベルは 1.6 で止めてしまうのが頭の良い選択と考えています。以下を <plugins> の下に記述すると有効になります。

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.6.0</version>
        <configuration>
          <source>1.6</source>
          <target>1.6</target>
        </configuration>
      </plugin>

関連する日記

登場キーワード


この日記について